@charset "utf-8";

/* ---------- 
共通パーツ用
----------*/
.page-title-a{
    margin-bottom: 80px;
}

@media screen and (max-width: 700px) {
    .page-title-a{
        margin-bottom: 60px;
    }
}

/* ---------- 
careers-entry
----------*/
.careers-entry{
    margin-bottom: 80px;
}

@media screen and (max-width: 700px) {
    .careers-entry{
        margin-bottom: 60px;
    }
}

/* ---------- 
btn-wrap careers-btn(白背景_グラデーション違いボタン)
----------*/
@media screen and (min-width: 701px) {
    .btn-wrap.careers-btn .btn-hover-grad:hover, .btn-wrap.careers-btn .btn-hover-grad-white:hover, .btn-wrap.careers-btn .btn-hover-grad-right:hover{
        background: linear-gradient(to right, var(--color-banner_C2F1FD), var(--color-link_009BDA));
        color: var(--color-text-sub);
    }
}


/* ---------- 
careers-list
----------*/
.careers-entry-list{
    display: flex;
    grid-template-columns: repeat(2, 1fr);
    justify-content: space-between;
    gap: 30px;
    align-items: stretch;
    margin-bottom: 60px;
}

.careers-entry-list .careers-entry-list-item{
    background-color: var(--color-text);
    display: flex;
    flex-direction: column;
    min-height: 0;
}

.careers-entry-list-item-title{
    font-size: clamp(24px, 1.71vw, calc(24px * var(--ratio)));
    font-weight: 500;
    letter-spacing: 0.025em;
    line-height: calc(44/24);
    margin-bottom: 20px;
}

.careers-entry-list-item-text{
    color: var(--color-text-sub);
    padding: 30px 60px 35px;
    text-align: center;
    flex-shrink: 0;
}

.careers-entry-list-item-text .btn-box{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.careers-entry-list .btn-hover-grad{
    max-width: clamp(365px, 26.07vw, calc(365px * var(--ratio)));
    width: 100%;
    line-height: 1.2;
}

.careers-entry-list-item-img{
    margin-top: auto;
    flex-shrink: 0;
}

.careers-entry-list-item-img img{
    display: block;
    width: 100%;
    height: auto;
}



@media screen and (max-width: 1100px) {
    .careers-entry-list{
        flex-direction: column;
        gap: 10px;
        margin-bottom: 30px;
    }

}

@media screen and (max-width: 700px) {
    .careers-entry-list-item-title{
        font-size: calc(20px / var(--fs-base) * 1rem);
        line-height: calc(30/20);
    }

    .careers-entry-list-item-text{
        padding: 30px;
    }

    .careers-entry-list .btn-hover-grad{
        padding-left: 0px;
        border-radius: 36px;
    }

    .careers-entry-list .btn-hover-grad:after{
        left: initial;
    }
}

/* ---------- 
btn-wrap btn-hover-grad-gray(グレー背景ボタン)
----------*/
/*グレーのボタン用*/
.btn-wrap .btn-hover-grad.btn-hover-grad-gray{
    background: var(--color-sub);
    color: var(--color-text);
}

.btn-wrap .btn-hover-grad.btn-hover-grad-gray:after{
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
}

@media screen and (min-width: 701px) {
    .btn-wrap .btn-hover-grad.btn-hover-grad-gray:hover{
        background: linear-gradient(to right, var(--color-link_009BDA) , var(--color-link_083C71));
        color: var(--color-text-sub);
    }

    .btn-wrap .btn-hover-grad.btn-hover-grad-gray:hover:after{
        border-top: 1px solid var(--color-text-sub);
        border-right: 1px solid var(--color-text-sub);
    }
}

/* ---------- 
hr
----------*/
.careers-entry hr{
   color: var(--color-707070);
}

/* ---------- 
btn-wrap
----------*/
.btn-wrap {
    margin-bottom: 80px;
}
.btn-wrap.careers-btn {
    margin-bottom: 0;
}

@media screen and (max-width: 700px) {
    .btn-wrap {
        margin-bottom: 60px;
    }
    .btn-wrap.careers-btn {
        margin-bottom: 0;
    }
}